import { UserTaskConfig } from './user_task_config';
/**
 * Describes a user task that belongs to an active correlation.
 */
export declare class UserTask {
    /**
     * The id of the user task.
     */
    id: string;
    /**
     * The id of the correlation that the user task belongs to.
     */
    correlationId: string;
    /**
     * The id of the process model that the user task belongs to.
     */
    processModelId: string;
    /**
     * The id of the process instance that the user task belongs to.
     */
    processInstanceId?: string;
    /**
     * Contains information about the user tasks configuration, such as the form fields that can be addressed.
     */
    data: UserTaskConfig;
    /**
     * The token payload the UserTask got suspended with.
     */
    tokenPayload: any;
}
